Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocFieldProcessor Class Reference

This is a DocConsumer that gathers all fields under the same name, and calls per-field consumers to process field by field. This class doesn't doesn't do any "real" work of its own: it just forwards the fields to a DocFieldConsumer. More...

`#include <DocFieldProcessor.h>`

Inheritance diagram for Lucene::DocFieldProcessor:

## Public Member Functions

| DocFieldProcessor (DocumentsWriterPtr docWriter, DocFieldConsumerPtr consumer)
virtual | ~DocFieldProcessor ()
virtual String | getClassName ()
boost::shared_ptr < DocFieldProcessor > | shared_from_this ()
virtual void | closeDocStore (SegmentWriteStatePtr state)
virtual void | flush (Collection< DocConsumerPerThreadPtr > threads, SegmentWriteStatePtr state)
virtual void | abort ()
virtual bool | freeRAM ()
virtual DocConsumerPerThreadPtr | addThread (DocumentsWriterThreadStatePtr perThread)
Public Member Functions inherited from Lucene::DocConsumer
virtual | ~DocConsumer ()
boost::shared_ptr< DocConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocConsumer
static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
FieldInfosPtr | fieldInfos
DocFieldConsumerPtr | consumer
StoredFieldsWriterPtr | fieldsWriter

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is a DocConsumer that gathers all fields under the same name, and calls per-field consumers to process field by field. This class doesn't doesn't do any "real" work of its own: it just forwards the fields to a DocFieldConsumer.

## Constructor & Destructor Documentation

Lucene::DocFieldProcessor::DocFieldProcessor | ( | DocumentsWriterPtr | docWriter,
|  | DocFieldConsumerPtr | consumer
| ) |  |

virtual Lucene::DocFieldProcessor::~DocFieldProcessor | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::DocFieldProcessor::_getClassName | ( | ) |  |

inline static

virtual void Lucene::DocFieldProcessor::abort | ( | ) |  |

virtual

Implements Lucene::DocConsumer.

virtual DocConsumerPerThreadPtr Lucene::DocFieldProcessor::addThread | ( | DocumentsWriterThreadStatePtr | perThread) |  |

virtual

Implements Lucene::DocConsumer.

virtual void Lucene::DocFieldProcessor::closeDocStore | ( | SegmentWriteStatePtr | state) |  |

virtual

Implements Lucene::DocConsumer.

virtual void Lucene::DocFieldProcessor::flush | ( | Collection< DocConsumerPerThreadPtr > | threads,
|  | SegmentWriteStatePtr | state
| ) |  |

virtual

Implements Lucene::DocConsumer.

virtual bool Lucene::DocFieldProcessor::freeRAM | ( | ) |  |

virtual

Implements Lucene::DocConsumer.

virtual String Lucene::DocFieldProcessor::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::DocConsumer.

boost::shared_ptr< DocFieldProcessor > Lucene::DocFieldProcessor::shared_from_this | ( | ) |  |

inline

## Field Documentation

DocumentsWriterWeakPtr Lucene::DocFieldProcessor::_docWriter

DocFieldConsumerPtr Lucene::DocFieldProcessor::consumer

FieldInfosPtr Lucene::DocFieldProcessor::fieldInfos

StoredFieldsWriterPtr Lucene::DocFieldProcessor::fieldsWriter

The documentation for this class was generated from the following file:

- DocFieldProcessor.h

clucene.sourceforge.net